Loading...
Searching...
No Matches
Audio downmix metadata
libavutil » Audio related

## Data Structures

struct | AVDownmixInfo
| This structure describes optional metadata relevant to a downmix procedure. More...

## Enumerations

enum | AVDownmixType { AV_DOWNMIX_TYPE_UNKNOWN , AV_DOWNMIX_TYPE_LORO , AV_DOWNMIX_TYPE_LTRT , AV_DOWNMIX_TYPE_DPLII , AV_DOWNMIX_TYPE_NB }
| Possible downmix types. More...

## Functions

AVDownmixInfo * | av_downmix_info_update_side_data (AVFrame *frame)
| Get a frame's AV_FRAME_DATA_DOWNMIX_INFO side data for editing.

## Detailed Description

## Enumeration Type Documentation

## AVDownmixType

enum AVDownmixType

Possible downmix types.

Enumerator
AV_DOWNMIX_TYPE_UNKNOWN | Not indicated.
AV_DOWNMIX_TYPE_LORO | Lo/Ro 2-channel downmix (Stereo).
AV_DOWNMIX_TYPE_LTRT | Lt/Rt 2-channel downmix, Dolby Surround compatible.
AV_DOWNMIX_TYPE_DPLII | Lt/Rt 2-channel downmix, Dolby Pro Logic II compatible.
AV_DOWNMIX_TYPE_NB | Number of downmix types. Not part of ABI.

Definition at line 44 of file downmix_info.h.

## Function Documentation

## av_downmix_info_update_side_data()

AVDownmixInfo * av_downmix_info_update_side_data | ( | AVFrame * | frame | ) |

Get a frame's AV_FRAME_DATA_DOWNMIX_INFO side data for editing.

If the side data is absent, it is created and added to the frame.

Parameters

  frame | the frame for which the side data is to be obtained or created

Returns
  the AVDownmixInfo structure to be edited by the caller, or NULL if the structure cannot be allocated.